{
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  inputs.home.url = "git+https://git.sondell.org/glennwso/home.git";
  inputs.home.inputs.nixpkgs.follows = "nixpkgs";

  outputs = { self, nixpkgs, home }@attrs:
  let 
    system = "x86_64-linux";
    homepage = home.packages.${system}.default;
  in
   {
    # replace 'joes-desktop' with your hostname here.
    nixosConfigurations.nixos = nixpkgs.lib.nixosSystem 
    {
      inherit system;
      specialArgs = attrs;
      modules = [ 
        ./configuration.nix 
        ./audiobooks.nix 
        ./tunnel.nix
        ./forgejo.nix 
        ./nextcloud.nix 
        ./jellyfin.nix 
        ./filebrowser.nix
        ./tail.nix
        ./matrix.nix
        (import ./homepage.nix {inherit homepage;})
        # ./coturn.nix  # disabled becouse tls not solved
      ];

    };
  };
}
